
package de.ivu.elect.presentation.gruppe.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.business.gruppe.entity.GruppeConstants;
import de.ivu.elect.jee.presentation.menu.AbstractSubMenuEntry;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

public class GruppeMainMenuEntry extends AbstractSubMenuEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GruppeSearchMenuItemEntry gruppeSearchMenuItemEntry;

  @Inject
  private transient GruppeCreateMenuItemEntry gruppeCreateMenuItemEntry;

  @Inject
  private transient GruppeUebernehmenMenuItemEntry gruppeUebernehmenMenuItemEntry;

  @Inject
  private transient GruppeImportMenuItemEntry gruppeImportMenuItemEntry;

  @Inject
  private transient GruppeExportMenuItemEntry gruppeExportMenuItemEntry;

  public GruppeMainMenuEntry() {
    super();
  }

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.add(gruppeSearchMenuItemEntry);
    result.add(gruppeCreateMenuItemEntry);

    result.add(gruppeUebernehmenMenuItemEntry);

    result.add(gruppeImportMenuItemEntry);
    result.add(gruppeExportMenuItemEntry);

    return result;
  }

  @Override
  public String getLabelKey() {
    return GruppeConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }
}
